Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Payout
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
      GET
    • Retrieve payout
      GET
    • Retrieve payout details
      GET
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Payout

Retrieve payout details

GET
/v1/payouts/{payout_id}/details
Returns the payout transaction details for the specified payout_id. Rows of transaction type Payout or VirtualAccountPayoutReturned are excluded from this response (undocumented elsewhere).

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
OK
Body

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/payouts/98d94657-00f6-428e-a278-1370b35ab67a/details' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - response
{
    "data": [
        {
            "id": 5001,
            "uuid": "6f9c1e2a-4b3d-4c5e-8f1a-2b3c4d5e6f70",
            "payout": {
                "id": 123,
                "uuid": "98d94657-00f6-428e-a278-1370b35ab67a",
                "reference": "8916487859937738"
            },
            "psp_reference": "883621039481",
            "unique_id": "XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
            "invoice_id": "10000",
            "account_holder": "AH00000123456",
            "record_type": "Credited",
            "currency": "NOK",
            "invoice_amount": 12500,
            "amount": 12500,
            "total": 12500,
            "created_at": "2026-01-15T02:00:00",
            "updated_at": "2026-01-15T02:00:00"
        }
    ]
}
Modified at 2026-09-25 07:15:05
Previous
Retrieve payout
Next
Upload a CSV file
Built with